[nSLUG] Wikipedia changes/limits protocols?

Johann Tienhaara jtienhaara at yahoo.com
Mon Jul 13 14:27:51 ADT 2015


> This is kinda OT; it's about a network difficulty with HTTPS.

> 
> Wikipedia recently went to HTTPS-only. That was a bother.

> 
> Now I can't access it at all except with "wget --no-check-certificate".
> 
> My "new" browser is an old version of Firefox.  FF reports:
> 
>     The connection was reset
>     The connection to the server was reset while the page was loading.
> 


<snip/>
> I would guess your wget is out of date.  Mine on Debian 7 or 8 works fine
> with: wget https://en.wikipedia.org/wiki/Main_Page There have been many things deprecated in the last year or so around SSL.
> It doesn't really matter what it is, unless you really want to know a lot
> more about encryption, ciphers and that lot.  I think you'll find updates
> will remedy the picture, assuming you have an OS with package management

> which will bring in the library and dependency updates.


It seems to me I've seen these types of error messages due to PKCS differences.  For example maybe the server's key is ecnrypted using PKCS #12 but your FireFox only handles PKCS #7.  Just a guess...

Johann


More information about the nSLUG mailing list